Luxor PlatformAPI DocumentationCommanderParts

Get part stock movements

Returns a paginated history of stock movements for a part. Every movement is at the part's own site.

GET
/v2/commander/parts/{part_id}/stock/movements

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

part_id*string

Part id (uuid).

Formatuuid

Query Parameters

page_number?integer
Range1 <= value
Default1
page_size?integer
Range1 <= value <= 5000
Default25

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/commander/parts/497f6eca-6276-4993-bfeb-53cbbbba6f08/stock/movements"
{  "movements": [    {      "id": "c1a2b3d4-e5f6-7890-abcd-ef1234567890",      "part_id": "28c660ae-a12c-4da7-9243-03385b104cf1",      "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",      "delta": -2,      "reason": "correction",      "ticket_id": null,      "note": "string",      "changed_by": "string",      "created_at": "2026-04-20T10:15:00Z"    }  ],  "pagination": {    "page_number": 1,    "page_size": 1,    "item_count": 0,    "previous_page_url": null,    "next_page_url": null  }}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}